from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XHatchWindowController(XInterface, Protocol):
    def requestPositioning(self, aRect: Rectangle) -> None: ...
    def calcAdjustedRectangle(self, aRect: Rectangle) -> Rectangle: ...
    def activated(self) -> None: ...
    def deactivated(self) -> None: ...
